<?php

namespace App\Modules;

interface ModuleContract
{
    /**
     * Check if is module enabled
     */
    public function isEnabled(): bool;

    /**
     * Disable module
     */
    public function disable(): void;

    /**
     * Enable module
     */
    public function enable(): void;

    /**
     * Check if module has a filament resource
     */
    public function hasFilamentResource(): bool;
}
